List automations with their 30-day performance
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations?status=all"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations?status=all';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations?status=all' \ --header 'Authorization: Bearer <token>'Permission: automations:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”OK
object
object
object
object
object
% of entrants who finished the flow (goal or end)
object
Contacts who reached the goal, % of those who entered in the window
Human opens, % of delivered
object
In minor units of the currency
object
object
Healthy, degraded, down, sandbox, warming_up or paused
A provider on the route can send right now
object
Healthy, degraded, down, sandbox, warming_up or paused
Example
{ "alerts": [ { "actions": [ { "kind": "open_step", "label": "Open the step" } ], "kind": "sending_held" } ], "items": [ { "goal": { "label": "Clicked docs" }, "status": "draft" } ], "route": { "fallback": { "name": "Amazon SES", "short": "SES" }, "label": "SES, failover Postmark", "primary": [ { "name": "Amazon SES", "short": "SES" } ] }}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}